package com.we4tech.ideaPlugin.sticky.ui.editor;

import com.we4tech.ideaPlugin.sticky.helper.UIHelper;
import com.intellij.openapi.editor.EditorFactory;
import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;

import javax.swing.*;
import javax.swing.text.EditorKit;
import javax.swing.text.Element;
import javax.swing.text.html.HTMLDocument;
import java.awt.event.*;
import java.awt.*;
import java.util.*;

public class XHTMLEditor extends JDialog {

    private static final Map<String, String> HEADING_LIST = new LinkedHashMap<String, String>();
    static{
        HEADING_LIST.put("H1 head line","h1");
        HEADING_LIST.put("H2 head line","h2");
        HEADING_LIST.put("H3 head line","h3");
        HEADING_LIST.put("H4 head line","h4");
        HEADING_LIST.put("H5 head line","h5");
        HEADING_LIST.put("Paragraph","p");
        HEADING_LIST.put("Quote","blockquote");
    }

    /**
     * Content type for JEditorPane
     */
    private static final String CONTENT_TYPE = "text/html";

    private JPanel contentPane;
    private JEditorPane mTextEditor;
    private JButton mButtonBold;
    private JButton button1;
    private JButton mButtonItalic;
    private JButton mButtonUnderline;
    private JButton mButtonFont;
    private JButton button5;
    private JComboBox mHeadingComboBox;

    public XHTMLEditor() {
        _initEditor();
    }

    private void _initEditor() {
        setContentPane(contentPane);
        setModal(true);
        mTextEditor.setContentType( CONTENT_TYPE );

        _setUpResources();
        _setUpEvents();
    }

    private void _setUpResources() {
        DefaultComboBoxModel dlm = new DefaultComboBoxModel();
        Set<String> keys = HEADING_LIST.keySet();
        for (String key : keys ) {
            dlm.addElement( key );
        }
        mHeadingComboBox.setModel( dlm );
    }

    private void _setUpEvents() {
        mHeadingComboBox.addItemListener(
                new ItemListener() {
                    public void itemStateChanged(ItemEvent itemEvent) {
                        if( itemEvent.getStateChange() == ItemEvent.SELECTED ) {
                            String key = itemEvent.getItem().toString();
                            String tagElement = HEADING_LIST.get( key );

                            // change tag for selected text
                            _setTagForSelectedText( tagElement );
                        }
                    }
                }
        );
    }

    private void _setTagForSelectedText(String tagElement) {
        try {

            System.out.println( mTextEditor.getText() );
        }
        catch( Exception e ) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        XHTMLEditor dialog = new XHTMLEditor();
        dialog.pack();
        dialog.setSize( 500, 500 );
        dialog.setLocation( UIHelper.getCenteredLocation( dialog ) );
        dialog.setVisible( true );
        System.exit(0);
    }
}
